---
title: WebGLShaderPrecisionFormat.rangeMax
slug: Web/API/WebGLShaderPrecisionFormat/rangeMax
tags:
  - API
  - Property
  - Reference
  - WebGL
---
<div>{{APIRef("WebGL")}}</div>

<p>The read-only <strong><code>WebGLShaderPrecisionFormat.rangeMax</code></strong> property returns the base 2 log of the absolute value of the maximum value that can be represented.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');

gl.getShaderPrecisionFormat(gl.VERTEX_SHADER, gl.MEDIUM_FLOAT).rangeMax; // 127
gl.getShaderPrecisionFormat(gl.FRAGMENT_SHADER, gl.LOW_INT).rangeMax; // 24
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebGL", "#DOM-WebGLShaderPrecisionFormat-rangeMax", "WebGLShaderPrecisionFormat.rangeMax")}}</td>
   <td>{{Spec2("WebGL")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLShaderPrecisionFormat.rangeMax")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLShaderPrecisionFormat")}}</li>
 <li>{{domxref("WebGLRenderingContext.getShaderPrecisionFormat()")}}</li>
</ul>
